Engine Yard Developer Center

Using the nokogumbo gem on EYCloud

The nokogumbo gem has been a dependency on many Rails apps as part of using sanitizer, which helps on dealing with HTML input/output.

Because nokogumbo relies on natively-compiled modules, it's sometimes tricky to have it properly deployed on EYCloud.

For Stack v5, it is advised to add the following lines as part of the 'before_bundle.rb' deploy hook:

# Install Nokogumbo gem with special flags
run 'bundle config --local build.nokogumbo --with-ldflags=-Wl,--undefined'

On Stack v6 the above code is no longer needed.

As always, your mileage may vary.  Do open a ticket with EY Support in case the above still doesn't solve issues when deploying an app that requires nokogumbo.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Article is closed for comments.

Powered by Zendesk